# Generated by Django 5.0.3 on 2024-03-17 22:05

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('postcode', models.CharField(max_length=200)),
                ('country', models.CharField(choices=[('DE', 'Germany'), ('AT', 'Austria'), ('CH', 'Switzerland')], max_length=20)),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
            ],
        ),
        migrations.CreateModel(
            name='Species',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Enter a animal species', max_length=200, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Species',
                'verbose_name_plural': 'Species',
            },
        ),
        migrations.CreateModel(
            name='RescueOrganization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('trusted', models.BooleanField(default=False, verbose_name='Trusted')),
                ('instagram', models.URLField(blank=True, null=True, verbose_name='Instagram profile')),
                ('facebook', models.URLField(blank=True, null=True, verbose_name='Facebook profile')),
                ('fediverse_profile', models.URLField(blank=True, null=True, verbose_name='Fediverse profile')),
                ('website', models.URLField(blank=True, null=True, verbose_name='Website')),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='fellchensammlung.location')),
            ],
        ),
        migrations.CreateModel(
            name='AdoptionNotice',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateField(verbose_name='Created at')),
                ('searching_since', models.DateField(verbose_name='Searching for a home since')),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('further_information', models.URLField(blank=True, null=True, verbose_name='Link to further information')),
                ('group_only', models.BooleanField(default=False, verbose_name='Only group adoption')),
                ('organization', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='fellchensammlung.rescueorganization', verbose_name='Organization')),
            ],
        ),
        migrations.CreateModel(
            name='Animal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_of_birth', models.DateField(blank=True, null=True, verbose_name='Date of birth')),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('adoption_notice', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fellchensammlung.adoptionnotice')),
                ('species', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='fellchensammlung.species')),
            ],
        ),
    ]
